Listar mensagens RCS
curl --request GET \
--url https://api.notifique.dev/v1/rcs/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/rcs/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/rcs/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/rcs/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": "clrcs1...",
"to": "5511999999999",
"type": "basic",
"payload": {
"message": "Olá!"
},
"status": "DELIVERED",
"createdAt": "2025-02-10T14:00:00.000Z",
"updatedAt": "2025-02-10T14:00:30.000Z",
"scheduledAt": null,
"readAt": null
}
],
"pagination": {
"total": 1,
"page": 1,
"limit": 20,
"totalPages": 1
}
}{
"success": false,
"error": "Bad Request",
"message": "Invalid status filter",
"code": "BAD_REQUEST"
}{
"success": false,
"error": "Unauthorized",
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}{
"success": false,
"error": "Forbidden",
"message": "Missing scope: rcs:read",
"code": "FORBIDDEN"
}Mensagens
Listar mensagens RCS
Historial de RCS enviados. Cada ítem incluye payload (lo enviado), messageType, estado y timestamps.
GET
/
v1
/
rcs
/
messages
Listar mensagens RCS
curl --request GET \
--url https://api.notifique.dev/v1/rcs/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/rcs/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/rcs/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/rcs/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": "clrcs1...",
"to": "5511999999999",
"type": "basic",
"payload": {
"message": "Olá!"
},
"status": "DELIVERED",
"createdAt": "2025-02-10T14:00:00.000Z",
"updatedAt": "2025-02-10T14:00:30.000Z",
"scheduledAt": null,
"readAt": null
}
],
"pagination": {
"total": 1,
"page": 1,
"limit": 20,
"totalPages": 1
}
}{
"success": false,
"error": "Bad Request",
"message": "Invalid status filter",
"code": "BAD_REQUEST"
}{
"success": false,
"error": "Unauthorized",
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}{
"success": false,
"error": "Forbidden",
"message": "Missing scope: rcs:read",
"code": "FORBIDDEN"
}Autorizações
ntfRcsBearerAuthntfRcsApiKeyHeader
API Key no header Authorization. Exemplo: Authorization: Bearer sk_live_xxxxx
Parâmetros de consulta
Página (padrão 1).
Itens por página (padrão 20, máx. 100).
Status separados por vírgula: QUEUED, SCHEDULED, PROCESSING, SENT, DELIVERED, READ, CLICKED, RESPONDED, FAILED, CANCELLED.
Filtro parcial no número destino.
Esta página foi útil?

